body {
    padding: 0;
    margin: 0;
    background-color: #131618;
}

* {
    color: #ffe8e0;
    font-family: "Bahnschrift", serif;
}

div.rule {
    height: 20px;
    border-width: 1px;
    border-color: #262d30;
    border-style: solid;
    margin: 5px;
}

.player_cont {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    border-width: 2px;
    border-radius: 50px;
    border-style: solid;
    border-color: #262d30;
    padding: 5px;
}

.player_field {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    /*width: 100px;*/
    background-color: #00000000;
    outline: none;
    color: #ffe8e0;
    font-weight: bold;
    border-color: #ffe8e0;
    border-radius: 50px;
    border-width: 2px;
    border-style: solid;
    margin: 5px;
    white-space: nowrap;
    overflow: hidden;
}

.player_field > p {
    text-overflow: ellipsis;
    margin-left: 10px;
    margin-top: 0;
    margin-bottom: 0;
    width: 100px;
}

.player_field > img {
    margin: 5px;
}

.logoff_cont, .timer_cont {
    height: 35px;
    display: flex;
    flex-direction: row;
    align-items: center;
    transition-property: all;
    transition-duration: .2s;
    border-color: #262d30;
    border-radius: 25px;
    border-width: 2px;
    border-style: solid;
    margin: 5px;
}

.logoff_cont:hover {
    background-color: #262d30;
}

.logoff_cont:active {
    background-color: #ffe8e0;
}

.logoff_cont > img, .timer_cont > img {
    margin: 5px;
    background-color: #00000000;
}

.logoff_cont > p {
    font-style: italic;
    margin-left: 5px;
    margin-right: 10px;
}

.timer_cont > p {
    width: 50px;
    margin-left: 5px;
    margin-right: 10px;
}

.input_cont {
    display: flex;
    flex-direction: row;
    align-items: center;
    border-width: 2px;
    border-radius: 25px;
    border-style: solid;
    border-color: #262d30;
    padding: 5px;
}

#canvas_cont {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 720px;
    height: 540px;
}

input[type="text"] {
    background-color: #00000000;
    outline: none;
    color: #ffe8e0;
    font-weight: bold;
    border-color: #ffe8e0;
    border-radius: 15px;
    border-width: 2px;
    border-style: solid;
    padding: 2px 2px 2px 10px;
    margin: 5px;
    transition-property: all;
    transition-duration: .2s;
}

input[type="text"]:invalid {
    color: #c03030;
    border-color: #c03030;
}

input[type="checkbox"] {
    appearance: none;
    width: 25px;
    height: 25px;
    background-color: #00000000;
    outline: none;
    color: #ffe8e0;
    border-color: #ffe8e0;
    border-radius: 15px;
    border-width: 2px;
    border-style: solid;
    transition-property: all;
    transition-duration: .2s;
    padding: 0;
    margin: 5px;
}

input[type="checkbox"]:hover {
    background-color: #262d30;
}

input[type="checkbox"]:checked {
    background-color: #ffe8e0;
    border-width: 10px;
}

label {
    margin: 10px;
}

button {
    appearance: none;
    background-color: #00000000;
    outline: none;
    color: #ffe8e0;
    border-color: #ffe8e0;
    border-radius: 15px;
    border-width: 2px;
    border-style: solid;
    font-style: italic;
    padding: 2px 10px;
    margin: 5px;
    transition-property: all;
    transition-duration: .2s;
}

button:hover {
    background-color: #262d30;
}

button:active {
    background-color: #eee6dd;
}

#root {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}